def normalize(text):
    return text.replace('-', '').lower()

def process_results_gen(doc: dict, results: list[str]) -> dict[str, float]:
    assert len(results) == 1
    return {doc['category']: int(normalize(doc['answer']) in normalize(results[0]))}
